package com.goafanti.customer.bo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class SelectMyUserOut {

    private String id;
    private String nickname;
    private Integer shareType;
    private Integer newChannel;
    private Integer signBills;
    private Date signTime;
    private String adminName;
    private String orgCode;

    private Integer locationProvince;
    private Integer locationCity;
    private Integer locationArea;
    private String locationProvinceName;
    private String locationCityName;
    private String locationAreaName;
    private Integer awardsStatus;
    private Date awardsTime;

    public Integer getAwardsStatus() {
        return awardsStatus;
    }

    public void setAwardsStatus(Integer awardsStatus) {
        this.awardsStatus = awardsStatus;
    }

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    public Date getAwardsTime() {
        return awardsTime;
    }

    public void setAwardsTime(Date awardsTime) {
        this.awardsTime = awardsTime;
    }

    public Integer getLocationProvince() {
        return locationProvince;
    }

    public void setLocationProvince(Integer locationProvince) {
        this.locationProvince = locationProvince;
    }

    public Integer getLocationCity() {
        return locationCity;
    }

    public void setLocationCity(Integer locationCity) {
        this.locationCity = locationCity;
    }

    public Integer getLocationArea() {
        return locationArea;
    }

    public void setLocationArea(Integer locationArea) {
        this.locationArea = locationArea;
    }

    public String getLocationProvinceName() {
        return locationProvinceName;
    }

    public void setLocationProvinceName(String locationProvinceName) {
        this.locationProvinceName = locationProvinceName;
    }

    public String getLocationCityName() {
        return locationCityName;
    }

    public void setLocationCityName(String locationCityName) {
        this.locationCityName = locationCityName;
    }

    public String getLocationAreaName() {
        return locationAreaName;
    }

    public void setLocationAreaName(String locationAreaName) {
        this.locationAreaName = locationAreaName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }


    public Integer getShareType() {
        return shareType;
    }

    public void setShareType(Integer shareType) {
        this.shareType = shareType;
    }

    public Integer getNewChannel() {
        return newChannel;
    }

    public void setNewChannel(Integer newChannel) {
        this.newChannel = newChannel;
    }

    public Integer getSignBills() {
        return signBills;
    }

    public void setSignBills(Integer signBills) {
        this.signBills = signBills;
    }

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    public Date getSignTime() {
        return signTime;
    }

    public void setSignTime(Date signTime) {
        this.signTime = signTime;
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }
}
